@charset "utf-8";

html {
    width: 100%; height: 100%;
    -webkit-font-smoothing: antialiased;
    font-size: 62.5%;
}

body {
    overflow-x: hidden;
    color: #000; background-color: #fff;
    webkit-tap-highlight-color: rgba(255,255,255,.2);
    font-family: RobotoRegular, sans-serif;
    font-weight: normal;
    font-size: 16px;
    font-size: 1.6rem;
    line-height: 1.6em;
}

header {
    color: #fff;
    font-family: NotoSansThaiRegular, sans-serif;
    font-weight: normal;
    font-size: 18px;
}
header #contact {
    color: #fff;
    font-family: RobotoBold;
    font-weight: Bold;
    font-size: 16px;
}
header a {
    color: #fff;
    text-decoration: none;
}
header a:hover {
    color: #fff;
    text-shadow: 2px 2px 3px rgba(00,00,00,0.5);
}

#mainNav {
    width: 100%;
    color: #0774D1; background: #fff;
    -webkit-transition: height .5s, line-height .5s; /* Safari */
    transition: height .5s, line-height .5s;

    box-shadow: 0px 2px 3px 0px rgba(51, 51, 51, 0.1);
    -webkit-box-shadow: 0px 2px 3px 0px rgba(51, 51, 51, 0.1);
    -moz-box-shadow: 0px 2px 3px 0px rgba(51, 51, 51, 0.1);
    -o-box-shadow: 0px 2px 3px 0px rgba(51, 51, 51, 0.1);
}
#mainNav .navbar-nav .nav-item .nav-link {
    color: #0774D1;
    font-family: RobotoBold;
    font-weight: bold;
    font-size: 16pt;
    text-align: center;
    text-transform: uppercase;
}
#mainNav .navbar-nav .nav-item .nav-link.active, #mainNav .navbar-nav .nav-item .nav-link:hover {
    color: #333;
    text-decoration: none;
    background-color: none;
    -ms-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
#mainNav .navbar-toggler {
    color: #2C2C2C;
    border-color: transparent; /* #0B175F; */
}

#mainNav .navbar-brand {
    color: #0774D1;
    margin: 0; padding: 5px 0;
    display: inline-block;
    font-family: RobotoBold;
    font-weight: 700;
    font-size: 18pt;
    -webkit-transition: all .5s;
    transition: all .5s;
    /* background: url('../images/huahin-travel-taxi-blue-logo.jpg') 0 12px no-repeat; */
}
#mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: #333;
    background: none;
    text-decoration: none;
    /* background: url('../images/huahin-travel-taxi-logo.jpg') 0 12px no-repeat; */
}
#mainNav .navbar-brand.active {
    color: #333;
    background: none;
    text-decoration: none;
    /* padding: 0 15px;
    background: url('../images/huahin-travel-taxi-logo.jpg') 0 12px no-repeat; */
}

.dropdown-menu {
  margin: 0;
  padding: 0px 0;
  color: #E1C17E;
  font-family: Prompt;
  font-weight: normal;
  font-size: 18pt;
  line-height: 1.2em;
  text-align: left;
  list-style: none;
  background-color: #2C2C2C;
  -webkit-background-clip: padding-box;
          background-clip: padding-box;
  /* border: 1px solid #ccc; */
  border-top: 0px solid #ccc;
  border-left: 0px solid #ccc;
  border-right: 0px solid #ccc;
  border-bottom: 0px solid #ccc;
  border-radius: 0px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
          box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}
.dropdown-item {
  color: #fff;
  padding-left: 15px;
  padding-top: 7px;
  padding-bottom: 7px;
}
.dropdown-item:hover {
  color: #fff;
  background: transparent;
  /* text-shadow: 2px 2px 3px rgba(00,00,00,0.5); */
}

.breadcrumb {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  padding: 0.15rem 0rem 0.45rem 0rem;
  margin-bottom: 1rem;
  list-style: none;
  background-color: transparent;
  border-radius: 0.25rem;
  border-bottom: 0px solid #E9ECEF;
}

.breadcrumb-item + .breadcrumb-item::before {
  display: inline-block;
  padding-right: 0.5rem;
  padding-left: 0.5rem;
  color: #868e96;
  content: ">";
}

h1 {
    font-family: RobotoBold;
    font-weight: 700;
}
h2,
h3,
h4,
h5,
h6 {
    font-family: RobotoBold; /* ThaiSansNeueBold; */
    font-weight: 700;
}
h1 { font-size: 24pt; }
h2 { font-size: 24pt; }
h3 { font-size: 22pt; }
h4 { font-size: 20pt; }
h5 { font-size: 18pt; }
h6 { font-size: 16pt; }
.text-blue { color: #1D76BC; }
.text-white { color: #fff; }
.text-red { color: #A40001; }
.text-orange { color: #F15A29; }
.text-grey { color: #4d4d4d; }
.text-gold { color: #E1C17E; }
.bg-grey { background-color: #E9ECEF; }

.head-underline {
    margin: 0 auto;
    width: 125px; height: 5px;
    background-color: #00839B;
    border-radius: 2px;
}



@media (min-width: 576px) {
    h2.topic {
      color: #A40001;
      font-family: CenturyGothic, ThaiSansNeueBold;
      font-weight: bold;
      font-size: 24pt;
      line-height: 1.0em;
    }
}

@media (min-width: 768px) {
  body {
    font-size: 18px;
    font-size: 1.8rem;
    line-height: 1.6em;
  }

}

@media (min-width: 992px) {
    #mainNav {
      width: 100%;
      height: 60px;
      z-index: 999;
      line-height: 60px;
      background: #fff;
      -webkit-transition: height .5s, line-height .5s; /* Safari */
      transition: height .5s, line-height .5s;
    }
    #mainNav .navbar-nav .nav-item .nav-link {
      color: #0774D1;
      padding: 0 0 0 12px;
      font-family: RobotoBold;
      font-weight: normal;
      font-size: 14pt;
    }
    .nav-link.active, .nav-link:hover {
      color: #333;
      text-decoration: none;
    }
    #mainNav .navbar-brand {
      color: #0774D1;
      margin: 0; padding: 0;
      display: inline-block;
      font-family: RobotoBold;
      font-weight: bold;
      font-size: 16pt;
      -webkit-transition: all .5s;
      transition: all .5s;
    }

    h1 { font-size: 32pt; }
    h2 { font-size: 32pt; }
    h3 { font-size: 28pt; }
    h4 { font-size: 24pt; }
    h5 { font-size: 22pt; }
    h6 { font-size: 18pt; }
}

@media (min-width: 1200px) {
    .container-fluid {
      /* width: 1250px; */
      padding-right: 15px;
      padding-left: 15px;
      margin-right: auto;
      margin-left: auto;
    }
    #mainNav {
      width: 100%;
      height: 60px;
      z-index: 999;
      line-height: 60px;
      background: #fff;
      -webkit-transition: height .5s, line-height .5s; /* Safari */
      transition: height .5s, line-height .5s;
    }
    #mainNav .navbar-nav .nav-item .nav-link {
      color: #0774D1;
      padding: 0 0 0 33px;
      font-family: RobotoBold;
      font-weight: bold;
      font-size: 15pt;
    }
    .nav-link.active, .nav-link:hover {
      color: #333;
      text-decoration: none;
    }
    #mainNav .navbar-brand {
      color: #0774D1;
      margin: 0; padding: 0;
      display: inline-block;
      font-family: RobotoBold;
      font-weight: 700;
      font-size: 18pt;
      -webkit-transition: all .5s;
      transition: all .5s;
    }
}

a.head-section {
  text-shadow: 2px 2px 3px rgba(00,00,00,0.5);
  -webkit-transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;
}

a:hover.head-section, 
a:focus.head-section {
  text-decoration: none;
  text-shadow: 2px 2px 3px rgba(00,00,00,0.5);
  -ms-transition: all 0.5s ease;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
}

.card {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  min-width: 0;
  height: 100%;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  font-size: 1.5rem;
  line-height: 1.5em;
}
.card:hover {
  -webkit-box-shadow: 0px 0px 8px 0px rgba(23, 162, 184, 0.45);
  -moz-box-shadow:    0px 0px 8px 0px rgba(23, 162, 184, 0.45);
  box-shadow:         0px 0px 8px 0px rgba(23, 162, 184, 0.45);
  -ms-transition: all 0.5s ease;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.card-header {
  padding: 0.15rem 0.5rem 0 0.75rem;
}
.card-title {
  margin-bottom: 0.25rem;
}
.card-body {
  -ms-flex: 1 1 auto;
      flex: 1 1 auto;
  padding: 0.5rem 0.5rem 0.5rem 0.5rem;
}
.card-deck .card-none {
    display: -ms-flexbox;
    display: flex;
    -ms-flex: 1 0 0%;
        flex: 1 0 0%;
    -ms-flex-direction: column;
        flex-direction: column;
    margin-right: 15px;
    margin-bottom: 0;
    margin-left: 15px;
}
.card-footer {
  padding: 0.5rem 0.5rem 0.5rem 0.75rem;
  background-color: rgba(0, 0, 0, 0.03);
  border-top: 1px solid rgba(0, 0, 0, 0.125);
  font-family: ThaiSansNeueRegular;
  font-size: 24px;
  line-height: 1.0em;
}

a {
    color: #0774D1; /* #00839B; */
    /* border-bottom: 1px dotted #AE8422; */
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

a:hover,
a:focus {
    text-decoration: none;
    color: #339900;
    /* border-bottom: 1px dotted #333; */
    -ms-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

input[type='text'], 
input[type='email'], 
textarea {
    font: normal 18px NotoSansThaiRegular, sans-serif;
    resize: none;
}

#slider {
    margin-top: 0px;
    margin-bottom: 0px;
    text-align: center;
    /* background-color: #BACAD3; */
}
#slider .carousel-caption {
  color: #fff;
  text-shadow: 1px 1px 3px black, 0 0 25px grey, 0 0 5px darkblue;
}
#banner {
  background-color: #D1D2D4;
}
#map {
    width: 100%;
    height: 450px;
}

.page-item.active .page-link {
  z-index: 2;
  color: #fff;
  background-color: #F23558;
  border-color: #F23558;
}

.fadein { opacity: 0; padding-top:10px; }

.grey-geo {
  background-image: url(../images/grey-geo.png);
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: #464646;
}

.grey-diamond {
  background-image: url(../images/grey-diamond.png);
  background-position: center bottom;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: #eaeaea;
}

.grey-diamond-bottom {
  background-image: url(../images/grey-diamond.png);
  background-position: center bottom;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: #eaeaea;
}

footer {
    padding:45px 0;
    font-family: RobotoRegular;
    font-weight: normal;
    font-size: 18px;
    line-height: 1.4em;
    color: #fff; background-color: #5B5B5B; /* #48639C; */
    /* text-shadow: 2px 2px 3px rgba(00,00,00,0.75); */
}
footer h5 {
  font:bold 18pt RobotoBold; 
  text-shadow: 2px 2px 3px rgba(00,00,00,0.5);
}
footer ul {
    margin-left: 0;
    padding-left: 0px;
    list-style-type: none;
}
footer ul li {
    padding: 3px 0;
    color: #fff;
    line-height: 1.4em;
}
footer a {
    color: #e0e0e0;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}
footer a:hover,
footer a:focus {
    color: #fff;
    text-decoration: none;
    text-shadow: 2px 2px 3px rgba(00,00,00,0.75);
    border-bottom: 1px dotted #F1F1E9;
}

.no-margin { margin: 0; }
.no-margin-left { margin-left: 0; }
.no-margin-right { margin-right: 0; }
.no-padding { padding: 0; }
.no-padding-left { padding-left: 0; }
.no-padding-right { padding-right: 0; }

.form-group { margin-bottom:0px !important; }  
.form-control-feedback { top:0px !important; } 

.embed-container { position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden; max-width: 100%; } 
.embed-container iframe, .embed-container object, .embed-container embed { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }

.opacity img
{
    opacity:0.9;
}
.opacity img:hover
{
    opacity:1;
}

.zoom img
{
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}
.zoom img:hover
{
    transform: scale(1.02);
}

.testclass {
  background-image: url("../images/test.jpg");
  position: relative;
  background-repeat: no-repeat;
  background-size: cover;
}
.testclass:before {
  content: "";
  position: absolute;
  left: 0; right: 0;
  top: 0; bottom: 0;
  background: rgba(0,0,0,.5);
}

